﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace SilverlightApplication2
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.treeView1.ItemsSource = GenerateItemsSource();
		}

		private ObservableCollection<DataItem> GenerateItemsSource()
		{
			var itemsSource = new ObservableCollection<DataItem>();
			for (int i = 0; i < 5; i++)
			{
				DataItem d1 = new DataItem(i.ToString());
				for (int j = 0; j < 5; j++)
				{
					DataItem d2 = new DataItem(i.ToString() + "." + j.ToString());
					d1.Items.Add(d2);
				}
				itemsSource.Add(d1);
			}
			return itemsSource;
		}

		private void AddNewItem_Click(object sender, RoutedEventArgs e)
		{
			if (this.treeView1.SelectedItem != null)
			{
				DataItem dataItem = this.treeView1.SelectedItem as DataItem;
				dataItem.Items.Add(new DataItem("New Item"));
			}
			else
			{
				MessageBox.Show("Must select treeviewitem");
			}
		}

	}

	public class DataItem
	{
		public DataItem(string text)
		{
			this.Text = text;
			this.Items = new ObservableCollection<DataItem>();
		}
		public string Text { get; set; }
		public ObservableCollection<DataItem> Items { get; set; }

	}
}
